Update campaign
curl --request PATCH \
--url https://prod.leadvector.app/v1/campaigns/{uuid} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "My updated campaign name",
"status": false
}
'import requests
url = "https://prod.leadvector.app/v1/campaigns/{uuid}"
payload = {
"name": "My updated campaign name",
"status": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My updated campaign name', status: false})
};
fetch('https://prod.leadvector.app/v1/campaigns/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/campaigns/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My updated campaign name',
'status' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/campaigns/{uuid}"
payload := strings.NewReader("{\n \"name\": \"My updated campaign name\",\n \"status\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod.leadvector.app/v1/campaigns/{uuid}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My updated campaign name\",\n \"status\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/campaigns/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"My updated campaign name\",\n \"status\": false\n}"
response = http.request(request)
puts response.read_body{
"message": "Campaign created successfully",
"data": {
"uuid": "019f2504-58b8-77ec-9c3f-54f5d6df733e",
"name": "Q4 founders",
"dailyLimit": 50,
"campaignType": "EMAIL",
"campaignStatus": "DRAFT",
"timezone": "UTC",
"startDate": null,
"endDate": null,
"activeDays": [
"Monday",
"Tuesday"
],
"fromTime": "09:00:00",
"toTime": "17:00:00",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Campaigns
Update campaign
Updates a campaign belonging to the authenticated API-key user.
PATCH
/
v1
/
campaigns
/
{uuid}
Update campaign
curl --request PATCH \
--url https://prod.leadvector.app/v1/campaigns/{uuid} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "My updated campaign name",
"status": false
}
'import requests
url = "https://prod.leadvector.app/v1/campaigns/{uuid}"
payload = {
"name": "My updated campaign name",
"status": False
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My updated campaign name', status: false})
};
fetch('https://prod.leadvector.app/v1/campaigns/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/campaigns/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My updated campaign name',
'status' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/campaigns/{uuid}"
payload := strings.NewReader("{\n \"name\": \"My updated campaign name\",\n \"status\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod.leadvector.app/v1/campaigns/{uuid}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My updated campaign name\",\n \"status\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/campaigns/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"My updated campaign name\",\n \"status\": false\n}"
response = http.request(request)
puts response.read_body{
"message": "Campaign created successfully",
"data": {
"uuid": "019f2504-58b8-77ec-9c3f-54f5d6df733e",
"name": "Q4 founders",
"dailyLimit": 50,
"campaignType": "EMAIL",
"campaignStatus": "DRAFT",
"timezone": "UTC",
"startDate": null,
"endDate": null,
"activeDays": [
"Monday",
"Tuesday"
],
"fromTime": "09:00:00",
"toTime": "17:00:00",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Authorizations
Your API key, from the API keys page of the app.
Path Parameters
Campaign UUID
Example:
"019f2504-58b8-77ec-9c3f-54f5d6df733e"
Body
application/json